can you help?

Discussion in 'iPod touch' started by twotonetillidie, May 17, 2009.

  1. twotonetillidie

    twotonetillidie New Member

    Joined:
    May 17, 2009
    Messages:
    1
    Likes Received:
    0
    Hello people

    Just wondering if someone could shed some light on a problem i have with my ipod touch.

    I have just purchased an 8gb ipod touch, what a lovely piece of gadgetry. I unpacked the beauty and connected it to my imac all i get from the ipod is the usb and itunes icons. I'm sure my mac isnt upto date enough for it to sync with my ipod. I'm running mac osx 10.3.9. Ok so i cant sych with my mac due to old software but this really mean i cannot even use my ipod?

    hope this is clear and hope to hear from any of you enthusiasts real soon.
  2. jpga13

    jpga13 Banned

    Joined:
    Dec 4, 2007
    Messages:
    11,591
    Likes Received:
    435
    Device:
    iPad 3
    Your OS is most likely not your issue, it's the version of iTunes. Just update iTYunes and try again.
  3. NeSEncHo

    NeSEncHo Active Member

    Joined:
    Jul 16, 2008
    Messages:
    1,322
    Likes Received:
    0

    Please Register or Log in to view images



    :/ 1G was iTunes 7.6 though.
  4. wearmaize

    wearmaize Active Member

    Joined:
    Feb 13, 2008
    Messages:
    2,442
    Likes Received:
    13
    Device:
    iPhone 4S (Black)
    Ouch, that really sucks that you have the iPod and can't use it. There has to be a way to do it though... not sure how, but there is a way.
  5. jpga13

    jpga13 Banned

    Joined:
    Dec 4, 2007
    Messages:
    11,591
    Likes Received:
    435
    Device:
    iPad 3
    That's odd it wouldn't run on Panther but you don't have to have USB 2.0 and I would guess with the App Store you definitely need iTunes 8. I have lots of copies of Tiget if you need one.

Share This Page